module.exports = {
  // 字段索引类型
  indexType: {
    none: '',
    unique: 'UNIQUE',
    normal: 'NORMAL'
  },
  // 数据库表重建类型
  rebuildType: {
    // 强制重建，如果表已存在，则删除原表后创建
    force: 1,
    // 视情况而定，如果表不存在，则创建
    depend: 2,
    // 停用（重命名为_disable）
    disable: 3,
    // 备份后新建
    creatAfterBackup: 4
  },
  // ORMS实例所基于的数据来源，启动时根据该值决定是否创建对应的物理表
  dataFrom: {
    // 基于本表查询（物理表）
    table: 0,
    // 基于视图
    view: 1,
    // 基于已存在的表（启动时不会创建物理表，而是共用指定的表）
    existed: 2
  },
  // 新增操作成功后，将最新的SELECT集合响应到前端的范围
  afterNew: {
    //   按照一览视图的默认范围，全部返回（适用于字典主数据页面）
    relist: 0,
    //   仅返回本次新增的记录（适用于单据页面，新增保存后，会跳转到详情页，因此无需返回全部数据）
    curr: 1
  },
  // tFrame对各DB所支持的数据类型标度设定的默认值
  defaultScale: {
    mysql: {
      tinyint: '4',
      smallint: '6',
      mediumint: '9',
      int: '11',
      bigint: '20',
      bit: '1',
      real: '28,8',
      double: '28,8',
      float: '28,8',
      decimal: '28,8',
      numeric: '28,8',
      char: '10',
      varchar: '20',
      date: '',
      time: '',
      year: '4',
      timestamp: '',
      datetime: '',
      tinyblob: '',
      blob: '',
      mediumblob: '',
      longblob: '',
      tinytext: '',
      text: '',
      mediumtext: '',
      longtext: '',
      enum: '',
      set: '',
      binary: '50',
      varbinary: '50',
      point: '',
      linestring: '',
      polygon: '',
      geometry: '',
      multipoint: '',
      multilinestring: '',
      multipolygon: '',
      geometrycollection: '',
      json: ''
    }
  }
};
