module.exports = {
  // 日志简码索引字母表
  indexCode: {
    // 未归类的日志
    Z: 0,
    // 代码运行时日志
    A: 1,
    // DB过程的日志
    B: 2,
    // 用户操作的日志
    C: 3,
    // 服务端运行的日志
    D: 4,
    // 登录的日志
    E: 5,
    // 传输的日志
    F: 6,
    // 安全风险及威胁的日志
    G: 7
  },
  /* 日志简码对照
	  简码规则：字母+3位数字
	  字母：日志类型在简码字母表中的索引
	  位1：日志级别
	  位2~位3：简码流水
  */
  detailCode: {
    Z000: '未归类的信息',
    Z100: '未归类的警告',
    Z200: '未归类的异常',
    A000: '通用的代码运行时信息',
    A100: '通用的代码运行时警告',
    A200: '通用的代码运行时异常',
    B000: '通用的DB过程记录',
    B100: '通用的DB过程警告',
    B300: '通用的DB过程异常',
    C000: '通用的用户操作记录',
    C100: '通用的用户操作警告',
    C200: '通用的用户操作异常',
    D000: '通用的服务端记录',
    D001: '服务端启动成功',
    D100: '通用的服务端警告',
    D101: '服务端被关闭',
    D200: '通用的服务端异常',
    D201: '服务端启动失败',
    E000: '正常登录',
    E001: '正常退出',
    E201: '登录过程出现运行时异常',
    E202: '注销过程出现运行时异常',
    F000: '通用的传输记录',
    F100: '通用的传输警告',
    F300: '通用的传输异常',
    G000: '通用的安全风险审核成功的记录',
    G100: '通用的安全风险审核警告',
    G200: '通用的安全风险审核异常',
    G201: '非系统内的账号的尝试登录',
    G202: '使用错误的密码尝试登录',
    G203: '封停账号尝试登录'
  },
  // 模式匹配的类别代码
  actTypeCode: {
    // 未明确
    unknown: 'unknown',
    // 代码级
    code: 'code',
    // DB级
    db: 'db',
    // 用户操作
    userOperat: 'userOperat',
    // 服务级
    svr: 'svr',
    // 登录及鉴权
    sign: 'sign',
    // 网络传输
    trans: 'trans',
    // 安全类型
    security: 'security'
  },
  // 模式匹配的级别代码
  actLevelCode: {
    unknown: 'unknown',
    info: 'info',
    warning: 'warning',
    error: 'error'
  },
  // 日志类型
  logType: {
    unknown: '未知',
    code: '代码运行时日志',
    db: '数据日志',
    userOperat: '用户操作日志',
    svr: '服务端运行日志',
    sign: '登录及鉴权日志',
    trans: '传输日志',
    security: '安全日志'
  },
  // 日志级别
  logLevel: {
    unknown: '未知',
    info: '信息',
    warning: '告警',
    error: '异常'
  }
};
